;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Instruction INI file for Graphics installer
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

[variables]
;CUSTOM VARIABLES CAN NOT HAVE NESTED CUSTOM VARIABLES
;  ONLY MAY NEST PRE-DEFINED VARIABLES
;path=EXECUTION PATH                   ;pre-defined
;system=SYSTEM PATH                    ;pre-defined
;progfilesdir=PROGRAM FILES DIRECTORY  ;pre-defined
;root=WINDOWS DRIVE (ie C:)        ;pre-defined
installdir=%progfilesdir%\Intel\Graphics
[/variables]

[copy directory]
source=%path%\Graphics
destination=%installdir%\Production\W2K\Graphics
condition=IfExists("%path%"\Graphics\igxp32.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\IIPS
destination=%installdir%\Production\W2K\IIPS
condition=IfExists("%path%"\IIPS\impcd.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\Graphics
destination=%installdir%\Production\XP_x86\Graphics
condition=IfExists("%path%"\Graphics\igxp32.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\IIPS
destination=%installdir%\Production\XP_x86\IIPS
condition=IfExists("%path%"\IIPS\impcd.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\HDMI
destination=%installdir%\Production\XP_x86\HDMI
condition=IfExists("%path%"\HDMI\intcHdmi.inf) && IfExists("%path%"\Graphics\igxp32.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\Graphics
destination=%installdir%\Production\XP_x64\Graphics
condition=IfExists("%path%"\Graphics\igxp64.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\IIPS
destination=%installdir%\Production\XP_x64\IIPS
condition=IfExists("%path%"\IIPS\impcd.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\HDMI
destination=%installdir%\Production\XP_x64\HDMI
condition=IfExists("%path%"\HDMI\intcHdmi.inf) && IfExists("%path%"\Graphics\igxp64.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\Graphics
destination=%installdir%\Production\W2K3_x86\Graphics
condition=IfExists("%path%"\Graphics\igxp32.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\IIPS
destination=%installdir%\Production\W2K3_x86\IIPS
condition=IfExists("%path%"\IIPS\impcd.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\HDMI
destination=%installdir%\Production\W2K3_x86\HDMI
condition=IfExists("%path%"\HDMI\intcHdmi.inf) && IfExists("%path%"\Graphics\igxp32.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\Graphics
destination=%installdir%\Production\W2K3_x64\Graphics
condition=IfExists("%path%"\Graphics\igxp64.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\IIPS
destination=%installdir%\Production\W2K3_x64\IIPS
condition=IfExists("%path%"\IIPS\impcd.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\HDMI
destination=%installdir%\Production\W2K3_x64\HDMI
condition=IfExists("%path%"\HDMI\intcHdmi.inf) && IfExists("%path%"\Graphics\igxp64.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\Graphics
destination=%installdir%\Production\Vista_x86\Graphics
condition=IfExists("%path%"\Graphics\igdlh.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\IIPS
destination=%installdir%\Production\Vista_x86\IIPS
condition=IfExists("%path%"\IIPS\impcd.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\HDMI
destination=%installdir%\Production\Vista_x86\HDMI
condition=IfExists("%path%"\HDMI\intcHdmi.inf) && IfExists("%path%"\Graphics\igdlh.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\Graphics
destination=%installdir%\Production\Vista_x64\Graphics
condition=IfExists("%path%"\Graphics\igdlh64.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\IIPS
destination=%installdir%\Production\Vista_x64\IIPS
condition=IfExists("%path%"\IIPS\impcd.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\HDMI
destination=%installdir%\Production\Vista_x64\HDMI
condition=IfExists("%path%"\HDMI\intcHdmi.inf) && IfExists("%path%"\Graphics\igdlh64.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\Graphics
destination=%installdir%\Production\W2K8_x86\Graphics
condition=IfExists("%path%"\Graphics\igdlh.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\IIPS
destination=%installdir%\Production\W2K8_x86\IIPS
condition=IfExists("%path%"\IIPS\impcd.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\HDMI
destination=%installdir%\Production\W2K8_x86\HDMI
condition=IfExists("%path%"\HDMI\intcHdmi.inf) && IfExists("%path%"\Graphics\igdlh.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\Graphics
destination=%installdir%\Production\W2K8_x64\Graphics
condition=IfExists("%path%"\Graphics\igdlh64.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\IIPS
destination=%installdir%\Production\W2K8_x64\IIPS
condition=IfExists("%path%"\IIPS\impcd.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\HDMI
destination=%installdir%\Production\W2K8_x64\HDMI
condition=IfExists("%path%"\HDMI\intcHdmi.inf) && IfExists("%path%"\Graphics\igdlh64.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\Graphics
destination=%installdir%\Production\Windows7_x86\Graphics
condition=IfExists("%path%"\Graphics\igdlh.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\IIPS
destination=%installdir%\Production\Windows7_x86\IIPS
condition=IfExists("%path%"\IIPS\impcd.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\HDMI
destination=%installdir%\Production\Windows7_x86\HDMI
condition=IfExists("%path%"\HDMI\intcHdmi.inf) && IfExists("%path%"\Graphics\igdlh.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\Graphics
destination=%installdir%\Production\Windows7_x64\Graphics
condition=IfExists("%path%"\Graphics\igdlh64.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\IIPS
destination=%installdir%\Production\Windows7_x64\IIPS
condition=IfExists("%path%"\IIPS\impcd.inf)
uninstall=false
[/copy directory]

[copy directory]
source=%path%\HDMI
destination=%installdir%\Production\Windows7_x64\HDMI
condition=IfExists("%path%"\HDMI\intcHdmi.inf) && IfExists("%path%"\Graphics\igdlh64.inf)
uninstall=false
[/copy directory]
